• Global community
    • Language:
      • Deutsch
      • English
      • Español
      • Français
      • Português
  • 日本語コミュニティ
    Dedicated community for Japanese speakers
  • 한국 커뮤니티
    Dedicated community for Korean speakers
Exit
0

CF2018 Incorrect Update Level After Update

Explorer ,
Dec 12, 2021 Dec 12, 2021

Copy link to clipboard

Copied

I have updated an installation of CF2018 from U4 to U8, and then to U12.  I did upgrade the web connectors after upgrading to U8, and then upgraded to U12.  All of these steps completed with no errors, and my site is now up, and I am able to use CFAdmin.  I also confirmed that the secret introduced in U8 matchs in server.xml and workers.properties.

 

In CFAdmin, when I check the Information page, to verify the current version, I see that CF is at U8 (2018.0.08.328566), and not U12.  If I go Server Updates, no updates are available.  If I check the CF Updates folder, I see that there is information for the U12 update.  As part of this update, I also updated to Java 11.0.12 (I will update to 11.0.13 at a later date).

 

At this point, I need some guidance.  Do I manually uninstall U12, even though CFAdmin thinks that I am at U8?  Or, do I manually re-install U12 without uninstalling it first?  Or, is there a different way to on how to address this issue?

 

Thanks,

Scott

TOPICS
Advanced techniques , Server administration

Views

273

Translate

Translate

Report

Report
Community guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines

correct answers 1 Correct answer

Community Expert , Dec 12, 2021 Dec 12, 2021

It would not make sense to me for the cf admin info page to report 2018.0.8 if the latest update installed was 12.

 

Atr you confirming that the install log in the update 12 folder (under hf-updates) shows 0 fatalerrors? and the date/time if that install log is later than any install log in the update 8 folder?

 

If you find that the u12 install log DID have errors, you can just try installing it again, yes. And doing it manually is often the most reliable approach, for various reasons. 

Votes

Translate

Translate
Explorer ,
Dec 12, 2021 Dec 12, 2021

Copy link to clipboard

Copied

Another tibit of information.  Tomcat is now at version 9.0.50.0, which was part of the U12 update.

Votes

Translate

Translate

Report

Report
Community guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines
Community Expert ,
Dec 12, 2021 Dec 12, 2021

Copy link to clipboard

Copied

It would not make sense to me for the cf admin info page to report 2018.0.8 if the latest update installed was 12.

 

Atr you confirming that the install log in the update 12 folder (under hf-updates) shows 0 fatalerrors? and the date/time if that install log is later than any install log in the update 8 folder?

 

If you find that the u12 install log DID have errors, you can just try installing it again, yes. And doing it manually is often the most reliable approach, for various reasons. 


/Charlie (troubleshooter, carehart.org)

Votes

Translate

Translate

Report

Report
Community guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines
Explorer ,
Dec 12, 2021 Dec 12, 2021

Copy link to clipboard

Copied

Charlie,

 

Thanks for getting back to me.  In checking the install log, I did find one error;

 

"Failed to copy hotfix files:C:\Windows\system32\config\systemprofile\377770.tmp\dist\cfusion\bin\coldfusion.exe: Failed to copy the hotfix files to the target location. Retry installation after ensuring that the server is not running or files are not locked by the server."

 

Based on your insights, I will attempt a manual reinstall.

 

Thanks, again,

Scott

Votes

Translate

Translate

Report

Report
Community guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines
Explorer ,
Dec 12, 2021 Dec 12, 2021

Copy link to clipboard

Copied

Charlie,

 

Another, related question.  In the instructions for a manual Update install, it is stated that the original JRE included with CF should be used;

Installing the update manually

  1. Click the link to download the JAR.
  2. Execute the following command on the downloaded JAR. You must have privileges to start or stop ColdFusion service and full access to the ColdFusion root directory.

    Windows: <cf_root>/jre/bin/java.exe -jar <jar-file-dir>/hotfix-012-328566.jar

    Linux-based platforms: <cf_root>/jre/bin/java -jar <jar-file-dir>/hotfix-012-328566.jar

Ensure that the JRE bundled with ColdFusion is used for executing the downloaded JAR. For standalone ColdFusion, this must be at, <cf_root>/jre/bin.

 

Does this imply that, when using the Update Installer process in CF Admin, the original JRE should also be used?  I had previously upgraded Java on the server from the original, bundled JRE (11.01) to 11.05.

Votes

Translate

Translate

Report

Report
Community guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines
Community Expert ,
Dec 12, 2021 Dec 12, 2021

Copy link to clipboard

Copied

Glad the info on the log helped.

 

As for this next question, that's just trying to ensure people use a JVM supported by cf. Someone COULD have a JVM on the machine that is much newer or older than what cf supports (currently only Java 11 for cf2018 and 2021).

 

It could be worded better, but yes, you can use that updated Java. BTW, that 11.0.5 is quite dated. The latest is 11.0.13. I have more on that in blog posts on my site. 


/Charlie (troubleshooter, carehart.org)

Votes

Translate

Translate

Report

Report
Community guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines
Explorer ,
Dec 12, 2021 Dec 12, 2021

Copy link to clipboard

Copied

I was able to manually install U12, but with a non-fatal error;

 

Custom Action: com.adobe.ia.action.ServiceStopCheck
Status: ERROR
Additional Notes: ERROR - class com.adobe.ia.action.ServiceStopCheck.install() runtime exception:

 

CFAdmin now shows "Version 2018.0.12.328566", so it looks like it worked.  The site is up and serving content.

 

Does the above error basically represent not being able to detect if the CF App Server Service restarted?

 

Thanks for the help.

Scott

Votes

Translate

Translate

Report

Report
Community guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines
Community Expert ,
Dec 12, 2021 Dec 12, 2021

Copy link to clipboard

Copied

Great to hear. As for the message, I have seen it before and it seems innocuous. 


/Charlie (troubleshooter, carehart.org)

Votes

Translate

Translate

Report

Report
Community guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines
Community Expert ,
Dec 13, 2021 Dec 13, 2021

Copy link to clipboard

Copied

quote

I was able to manually install U12, but with a non-fatal error;

 

Custom Action: com.adobe.ia.action.ServiceStopCheck
Status: ERROR
Additional Notes: ERROR - class com.adobe.ia.action.ServiceStopCheck.install() runtime exception:

 

CFAdmin now shows "Version 2018.0.12.328566", so it looks like it worked.  The site is up and serving content.

 

Does the above error basically represent not being able to detect if the CF App Server Service restarted?


By @altascene

 

Yes, your installation was successful. But the runtime exception is a warning that you're not yet there. 

 

The error message suggests something is still lacking in the interaction between ColdFusion and the Operating System. Especially given that the installation failed earlier because of a Windows-related error. The following might help.

 

It is likely that a Windows update is pending. So restart Windows. 

Remember to log back into Windows using the credentials of the Windows account with which you installed ColdFusion.

Votes

Translate

Translate

Report

Report
Community guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines
Community Expert ,
Dec 13, 2021 Dec 13, 2021

Copy link to clipboard

Copied

LATEST

I really don't think this is so, but time will tell. 


/Charlie (troubleshooter, carehart.org)

Votes

Translate

Translate

Report

Report
Community guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines
Resources
Documentation